Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(HTTP/Request/Common.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-WWW-Babelfish
Version:        0.16
Release:        alt1_14
Summary:        Perl extension for translation via Babelfish or Google
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/WWW-Babelfish/
Source0:        http://www.cpan.org/authors/id/D/DU/DURIST/WWW-Babelfish-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(HTML/TokeParser.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)


Source44: import.info

%description
Perl interface to the WWW babelfish translation server.

%prep
%setup -q -n WWW-Babelfish-%{version}

%build
# nix internet-based tests
echo n | %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_14
- update to new release by fcimport

* Tue Dec 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_13
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_10
- fc import

